/* tslint:disable */
/* eslint-disable */
/**
 * CRM API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


import type { Configuration } from './configuration';
import type { AxiosPromise, AxiosInstance, AxiosRequestConfig } from 'axios';
import globalAxios from 'axios';
// Some imports not used depending on template conditions
// @ts-ignore
import { DUMMY_BASE_URL, assertParamExists, setApiKeyToObject, setBasicAuthToObject, setBearerAuthToObject, setOAuthToObject, setSearchParams, serializeDataIfNeeded, toPathString, createRequestFunction } from './common';
import type { RequestArgs } from './base';
// @ts-ignore
import { BASE_PATH, COLLECTION_FORMATS, BaseAPI, RequiredError } from './base';

/**
 * 
 * @export
 * @interface AddressById200Response
 */
export interface AddressById200Response {
    /**
     * 
     * @type {string}
     * @memberof AddressById200Response
     */
    'id'?: string;
    /**
     * 
     * @type {number}
     * @memberof AddressById200Response
     */
    'phase'?: number;
    /**
     * 
     * @type {number}
     * @memberof AddressById200Response
     */
    'plz'?: number;
    /**
     * 
     * @type {string}
     * @memberof AddressById200Response
     */
    'district'?: string;
    /**
     * 
     * @type {string}
     * @memberof AddressById200Response
     */
    'city'?: string;
    /**
     * 
     * @type {string}
     * @memberof AddressById200Response
     */
    'street'?: string;
    /**
     * 
     * @type {number}
     * @memberof AddressById200Response
     */
    'house_number'?: number;
    /**
     * 
     * @type {string}
     * @memberof AddressById200Response
     */
    'house_number_variant'?: string;
    /**
     * 
     * @type {string}
     * @memberof AddressById200Response
     */
    'lat'?: string;
    /**
     * 
     * @type {string}
     * @memberof AddressById200Response
     */
    'lng'?: string;
    /**
     * 
     * @type {number}
     * @memberof AddressById200Response
     */
    'signatures'?: number;
}
/**
 * 
 * @export
 * @interface AvailableActionsResponse
 */
export interface AvailableActionsResponse {
    /**
     * 
     * @type {Array<string>}
     * @memberof AvailableActionsResponse
     */
    'dn': Array<AvailableActionsResponseDnEnum>;
    /**
     * 
     * @type {Array<string>}
     * @memberof AvailableActionsResponse
     */
    'custom': Array<AvailableActionsResponseCustomEnum>;
}

export const AvailableActionsResponseDnEnum = {
    SyncContact: 'sync_contact'
} as const;

export type AvailableActionsResponseDnEnum = typeof AvailableActionsResponseDnEnum[keyof typeof AvailableActionsResponseDnEnum];
export const AvailableActionsResponseCustomEnum = {
    SyncContact: 'sync_contact'
} as const;

export type AvailableActionsResponseCustomEnum = typeof AvailableActionsResponseCustomEnum[keyof typeof AvailableActionsResponseCustomEnum];

/**
 * 
 * @export
 * @interface CreateDNConfigRequest
 */
export interface CreateDNConfigRequest {
    /**
     * 
     * @type {string}
     * @memberof CreateDNConfigRequest
     */
    'client_id': string;
    /**
     * 
     * @type {string}
     * @memberof CreateDNConfigRequest
     */
    'client_secret': string;
    /**
     * 
     * @type {string}
     * @memberof CreateDNConfigRequest
     */
    'api_url': string;
}
/**
 * 
 * @export
 * @interface CustomHandler
 */
export interface CustomHandler {
    /**
     * 
     * @type {string}
     * @memberof CustomHandler
     */
    'id': string;
    /**
     * 
     * @type {string}
     * @memberof CustomHandler
     */
    'channel_id': string;
    /**
     * 
     * @type {string}
     * @memberof CustomHandler
     */
    'type': CustomHandlerTypeEnum;
    /**
     * 
     * @type {string}
     * @memberof CustomHandler
     */
    'url': string;
    /**
     * 
     * @type {string}
     * @memberof CustomHandler
     */
    'secret'?: string;
    /**
     * 
     * @type {string}
     * @memberof CustomHandler
     */
    'secret_header'?: string;
    /**
     * 
     * @type {boolean}
     * @memberof CustomHandler
     */
    'secret_configured': boolean;
    /**
     * 
     * @type {object}
     * @memberof CustomHandler
     */
    'attributes'?: object;
    /**
     * 
     * @type {string}
     * @memberof CustomHandler
     */
    'created_at': string;
    /**
     * 
     * @type {string}
     * @memberof CustomHandler
     */
    'updated_at': string;
    /**
     * 
     * @type {string}
     * @memberof CustomHandler
     */
    'organization_id': string;
}

export const CustomHandlerTypeEnum = {
    SyncContact: 'sync_contact'
} as const;

export type CustomHandlerTypeEnum = typeof CustomHandlerTypeEnum[keyof typeof CustomHandlerTypeEnum];

/**
 * 
 * @export
 * @interface DNConfiguration
 */
export interface DNConfiguration {
    /**
     * 
     * @type {string}
     * @memberof DNConfiguration
     */
    'id': string;
    /**
     * 
     * @type {string}
     * @memberof DNConfiguration
     */
    'organization_id': string;
    /**
     * 
     * @type {string}
     * @memberof DNConfiguration
     */
    'client_id': string;
    /**
     * 
     * @type {string}
     * @memberof DNConfiguration
     */
    'api_url': string;
    /**
     * 
     * @type {string}
     * @memberof DNConfiguration
     */
    'created_at': string;
    /**
     * 
     * @type {string}
     * @memberof DNConfiguration
     */
    'updated_at': string;
}
/**
 * 
 * @export
 * @interface DynamicAddressesList200Response
 */
export interface DynamicAddressesList200Response {
    /**
     * 
     * @type {Array<DynamicAddressesList200ResponseResultsInner>}
     * @memberof DynamicAddressesList200Response
     */
    'results'?: Array<DynamicAddressesList200ResponseResultsInner>;
}
/**
 * 
 * @export
 * @interface DynamicAddressesList200ResponseResultsInner
 */
export interface DynamicAddressesList200ResponseResultsInner {
    /**
     * 
     * @type {string}
     * @memberof DynamicAddressesList200ResponseResultsInner
     */
    'id'?: string;
    /**
     * 
     * @type {number}
     * @memberof DynamicAddressesList200ResponseResultsInner
     */
    'phase'?: number;
    /**
     * 
     * @type {number}
     * @memberof DynamicAddressesList200ResponseResultsInner
     */
    'plz'?: number;
    /**
     * 
     * @type {string}
     * @memberof DynamicAddressesList200ResponseResultsInner
     */
    'district'?: string;
    /**
     * 
     * @type {string}
     * @memberof DynamicAddressesList200ResponseResultsInner
     */
    'city'?: string;
    /**
     * 
     * @type {string}
     * @memberof DynamicAddressesList200ResponseResultsInner
     */
    'street'?: string;
    /**
     * 
     * @type {number}
     * @memberof DynamicAddressesList200ResponseResultsInner
     */
    'house_number'?: number;
    /**
     * 
     * @type {string}
     * @memberof DynamicAddressesList200ResponseResultsInner
     */
    'house_number_variant'?: string;
    /**
     * 
     * @type {string}
     * @memberof DynamicAddressesList200ResponseResultsInner
     */
    'lat'?: string;
    /**
     * 
     * @type {string}
     * @memberof DynamicAddressesList200ResponseResultsInner
     */
    'lng'?: string;
}
/**
 * 
 * @export
 * @interface DynamicAddressesListRequest
 */
export interface DynamicAddressesListRequest {
    /**
     * 
     * @type {number}
     * @memberof DynamicAddressesListRequest
     */
    'plz'?: number;
    /**
     * 
     * @type {string}
     * @memberof DynamicAddressesListRequest
     */
    'district'?: string;
    /**
     * 
     * @type {string}
     * @memberof DynamicAddressesListRequest
     */
    'city'?: string;
    /**
     * 
     * @type {string}
     * @memberof DynamicAddressesListRequest
     */
    'street'?: string;
    /**
     * 
     * @type {number}
     * @memberof DynamicAddressesListRequest
     */
    'house_number'?: number;
    /**
     * 
     * @type {string}
     * @memberof DynamicAddressesListRequest
     */
    'house_number_variant'?: string;
    /**
     * 
     * @type {string}
     * @memberof DynamicAddressesListRequest
     */
    'lat'?: string;
    /**
     * 
     * @type {string}
     * @memberof DynamicAddressesListRequest
     */
    'lng'?: string;
}
/**
 * 
 * @export
 * @interface GetAddressByFormData200Response
 */
export interface GetAddressByFormData200Response {
    /**
     * 
     * @type {boolean}
     * @memberof GetAddressByFormData200Response
     */
    'available'?: boolean;
    /**
     * 
     * @type {number}
     * @memberof GetAddressByFormData200Response
     */
    'phase'?: number;
}
/**
 * 
 * @export
 * @interface PostIntegrationsGiganetzAddSignature200Response
 */
export interface PostIntegrationsGiganetzAddSignature200Response {
    /**
     * 
     * @type {number}
     * @memberof PostIntegrationsGiganetzAddSignature200Response
     */
    'missing_signatures'?: number;
}
/**
 * 
 * @export
 * @interface SyncContactRequest
 */
export interface SyncContactRequest {
    /**
     * 
     * @type {string}
     * @memberof SyncContactRequest
     */
    'contact_id': string;
    /**
     * 
     * @type {string}
     * @memberof SyncContactRequest
     */
    'organization_id': string;
    /**
     * 
     * @type {string}
     * @memberof SyncContactRequest
     */
    'strategy': SyncContactRequestStrategyEnum;
}

export const SyncContactRequestStrategyEnum = {
    External: 'override_external',
    Local: 'override_local',
    Empty: 'override_empty'
} as const;

export type SyncContactRequestStrategyEnum = typeof SyncContactRequestStrategyEnum[keyof typeof SyncContactRequestStrategyEnum];

/**
 * 
 * @export
 * @interface SyncContactResponse
 */
export interface SyncContactResponse {
    /**
     * 
     * @type {string}
     * @memberof SyncContactResponse
     */
    'external_id': string;
}
/**
 * 
 * @export
 * @interface SyncContactWebhook
 */
export interface SyncContactWebhook {
    /**
     * 
     * @type {string}
     * @memberof SyncContactWebhook
     */
    'transaction_id': string;
    /**
     * 
     * @type {string}
     * @memberof SyncContactWebhook
     */
    'conversation_id': string;
    /**
     * 
     * @type {string}
     * @memberof SyncContactWebhook
     */
    'contact_id': string;
    /**
     * 
     * @type {string}
     * @memberof SyncContactWebhook
     */
    'external_id': string;
    /**
     * 
     * @type {string}
     * @memberof SyncContactWebhook
     */
    'channel_id': string;
    /**
     * 
     * @type {object}
     * @memberof SyncContactWebhook
     */
    'attributes'?: object;
}

/**
 * CustomApi - axios parameter creator
 * @export
 */
export const CustomApiAxiosParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 
         * @summary Delete custom handler
         * @param {string} channelId 
         * @param {string} id 
         * @param {string} orgId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteCustomHandler: async (channelId: string, id: string, orgId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'channelId' is not null or undefined
            assertParamExists('deleteCustomHandler', 'channelId', channelId)
            // verify required parameter 'id' is not null or undefined
            assertParamExists('deleteCustomHandler', 'id', id)
            // verify required parameter 'orgId' is not null or undefined
            assertParamExists('deleteCustomHandler', 'orgId', orgId)
            const localVarPath = `/integrations/custom/organizations/{orgId}/channels{channelId}/handlers/{id}`
                .replace(`{${"channelId"}}`, encodeURIComponent(String(channelId)))
                .replace(`{${"id"}}`, encodeURIComponent(String(id)))
                .replace(`{${"orgId"}}`, encodeURIComponent(String(orgId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication Authorization required
            // http bearer authentication required
            await setBearerAuthToObject(localVarHeaderParameter, configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Delete organization custom handler
         * @param {string} id 
         * @param {string} orgId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteOrganizationCustomHandler: async (id: string, orgId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('deleteOrganizationCustomHandler', 'id', id)
            // verify required parameter 'orgId' is not null or undefined
            assertParamExists('deleteOrganizationCustomHandler', 'orgId', orgId)
            const localVarPath = `/integrations/custom/organizations/{orgId}/handlers/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)))
                .replace(`{${"orgId"}}`, encodeURIComponent(String(orgId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication Authorization required
            // http bearer authentication required
            await setBearerAuthToObject(localVarHeaderParameter, configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get custom handler
         * @param {string} channelId 
         * @param {string} id 
         * @param {string} orgId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCustomHandler: async (channelId: string, id: string, orgId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'channelId' is not null or undefined
            assertParamExists('getCustomHandler', 'channelId', channelId)
            // verify required parameter 'id' is not null or undefined
            assertParamExists('getCustomHandler', 'id', id)
            // verify required parameter 'orgId' is not null or undefined
            assertParamExists('getCustomHandler', 'orgId', orgId)
            const localVarPath = `/integrations/custom/organizations/{orgId}/channels{channelId}/handlers/{id}`
                .replace(`{${"channelId"}}`, encodeURIComponent(String(channelId)))
                .replace(`{${"id"}}`, encodeURIComponent(String(id)))
                .replace(`{${"orgId"}}`, encodeURIComponent(String(orgId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication Authorization required
            // http bearer authentication required
            await setBearerAuthToObject(localVarHeaderParameter, configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get organization custom handler
         * @param {string} id 
         * @param {string} orgId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getOrganizationCustomHandler: async (id: string, orgId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('getOrganizationCustomHandler', 'id', id)
            // verify required parameter 'orgId' is not null or undefined
            assertParamExists('getOrganizationCustomHandler', 'orgId', orgId)
            const localVarPath = `/integrations/custom/organizations/{orgId}/handlers/{id}`
                .replace(`{${"id"}}`, encodeURIComponent(String(id)))
                .replace(`{${"orgId"}}`, encodeURIComponent(String(orgId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication Authorization required
            // http bearer authentication required
            await setBearerAuthToObject(localVarHeaderParameter, configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary List custom handlers
         * @param {string} channelId 
         * @param {string} orgId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        listCustomHandlers: async (channelId: string, orgId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'channelId' is not null or undefined
            assertParamExists('listCustomHandlers', 'channelId', channelId)
            // verify required parameter 'orgId' is not null or undefined
            assertParamExists('listCustomHandlers', 'orgId', orgId)
            const localVarPath = `/integrations/custom/organizations/{orgId}/channels{channelId}/handlers`
                .replace(`{${"channelId"}}`, encodeURIComponent(String(channelId)))
                .replace(`{${"orgId"}}`, encodeURIComponent(String(orgId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication Authorization required
            // http bearer authentication required
            await setBearerAuthToObject(localVarHeaderParameter, configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary List organization custom handlers
         * @param {string} orgId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        listOrganizationCustomHandlers: async (orgId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'orgId' is not null or undefined
            assertParamExists('listOrganizationCustomHandlers', 'orgId', orgId)
            const localVarPath = `/integrations/custom/organizations/{orgId}/handlers`
                .replace(`{${"orgId"}}`, encodeURIComponent(String(orgId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication Authorization required
            // http bearer authentication required
            await setBearerAuthToObject(localVarHeaderParameter, configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * Webhook endpoint for external systems
         * @summary Webhook (organization)
         * @param {OrganizationWebhookTypeEnum} type 
         * @param {string} orgId 
         * @param {SyncContactWebhook} [body] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        organizationWebhook: async (type: OrganizationWebhookTypeEnum, orgId: string, body?: SyncContactWebhook, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'type' is not null or undefined
            assertParamExists('organizationWebhook', 'type', type)
            // verify required parameter 'orgId' is not null or undefined
            assertParamExists('organizationWebhook', 'orgId', orgId)
            const localVarPath = `/integrations/custom/organizations/{orgId}/webhooks/{type}`
                .replace(`{${"type"}}`, encodeURIComponent(String(type)))
                .replace(`{${"orgId"}}`, encodeURIComponent(String(orgId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication Authorization required
            // http bearer authentication required
            await setBearerAuthToObject(localVarHeaderParameter, configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(body, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Register custom handler
         * @param {string} channelId 
         * @param {string} orgId 
         * @param {CustomHandler} [customHandler] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        registerCustomHandler: async (channelId: string, orgId: string, customHandler?: CustomHandler, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'channelId' is not null or undefined
            assertParamExists('registerCustomHandler', 'channelId', channelId)
            // verify required parameter 'orgId' is not null or undefined
            assertParamExists('registerCustomHandler', 'orgId', orgId)
            const localVarPath = `/integrations/custom/organizations/{orgId}/channels{channelId}/handlers`
                .replace(`{${"channelId"}}`, encodeURIComponent(String(channelId)))
                .replace(`{${"orgId"}}`, encodeURIComponent(String(orgId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication Authorization required
            // http bearer authentication required
            await setBearerAuthToObject(localVarHeaderParameter, configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(customHandler, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Register organization custom handler
         * @param {string} orgId 
         * @param {CustomHandler} [customHandler] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        registerOrganizationCustomHandler: async (orgId: string, customHandler?: CustomHandler, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'orgId' is not null or undefined
            assertParamExists('registerOrganizationCustomHandler', 'orgId', orgId)
            const localVarPath = `/integrations/custom/organizations/{orgId}/handlers`
                .replace(`{${"orgId"}}`, encodeURIComponent(String(orgId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication Authorization required
            // http bearer authentication required
            await setBearerAuthToObject(localVarHeaderParameter, configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(customHandler, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * Webhook endpoint for external systems
         * @summary Webhook
         * @param {string} channelId 
         * @param {WebhookTypeEnum} type 
         * @param {string} orgId 
         * @param {SyncContactWebhook} [body] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        webhook: async (channelId: string, type: WebhookTypeEnum, orgId: string, body?: SyncContactWebhook, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'channelId' is not null or undefined
            assertParamExists('webhook', 'channelId', channelId)
            // verify required parameter 'type' is not null or undefined
            assertParamExists('webhook', 'type', type)
            // verify required parameter 'orgId' is not null or undefined
            assertParamExists('webhook', 'orgId', orgId)
            const localVarPath = `/integrations/custom/organizations/{orgId}/channels{channelId}/webhooks/{type}`
                .replace(`{${"channelId"}}`, encodeURIComponent(String(channelId)))
                .replace(`{${"type"}}`, encodeURIComponent(String(type)))
                .replace(`{${"orgId"}}`, encodeURIComponent(String(orgId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication Authorization required
            // http bearer authentication required
            await setBearerAuthToObject(localVarHeaderParameter, configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(body, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * CustomApi - functional programming interface
 * @export
 */
export const CustomApiFp = function(configuration?: Configuration) {
    const localVarAxiosParamCreator = CustomApiAxiosParamCreator(configuration)
    return {
        /**
         * 
         * @summary Delete custom handler
         * @param {string} channelId 
         * @param {string} id 
         * @param {string} orgId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async deleteCustomHandler(channelId: string, id: string, orgId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.deleteCustomHandler(channelId, id, orgId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Delete organization custom handler
         * @param {string} id 
         * @param {string} orgId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async deleteOrganizationCustomHandler(id: string, orgId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.deleteOrganizationCustomHandler(id, orgId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get custom handler
         * @param {string} channelId 
         * @param {string} id 
         * @param {string} orgId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async getCustomHandler(channelId: string, id: string, orgId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CustomHandler>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.getCustomHandler(channelId, id, orgId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get organization custom handler
         * @param {string} id 
         * @param {string} orgId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async getOrganizationCustomHandler(id: string, orgId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CustomHandler>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.getOrganizationCustomHandler(id, orgId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary List custom handlers
         * @param {string} channelId 
         * @param {string} orgId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async listCustomHandlers(channelId: string, orgId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<CustomHandler>>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.listCustomHandlers(channelId, orgId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary List organization custom handlers
         * @param {string} orgId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async listOrganizationCustomHandlers(orgId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<Array<CustomHandler>>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.listOrganizationCustomHandlers(orgId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * Webhook endpoint for external systems
         * @summary Webhook (organization)
         * @param {OrganizationWebhookTypeEnum} type 
         * @param {string} orgId 
         * @param {SyncContactWebhook} [body] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async organizationWebhook(type: OrganizationWebhookTypeEnum, orgId: string, body?: SyncContactWebhook, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.organizationWebhook(type, orgId, body, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Register custom handler
         * @param {string} channelId 
         * @param {string} orgId 
         * @param {CustomHandler} [customHandler] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async registerCustomHandler(channelId: string, orgId: string, customHandler?: CustomHandler, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CustomHandler>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.registerCustomHandler(channelId, orgId, customHandler, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Register organization custom handler
         * @param {string} orgId 
         * @param {CustomHandler} [customHandler] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async registerOrganizationCustomHandler(orgId: string, customHandler?: CustomHandler, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<CustomHandler>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.registerOrganizationCustomHandler(orgId, customHandler, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * Webhook endpoint for external systems
         * @summary Webhook
         * @param {string} channelId 
         * @param {WebhookTypeEnum} type 
         * @param {string} orgId 
         * @param {SyncContactWebhook} [body] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async webhook(channelId: string, type: WebhookTypeEnum, orgId: string, body?: SyncContactWebhook, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.webhook(channelId, type, orgId, body, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
    }
};

/**
 * CustomApi - factory interface
 * @export
 */
export const CustomApiFactory = function (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) {
    const localVarFp = CustomApiFp(configuration)
    return {
        /**
         * 
         * @summary Delete custom handler
         * @param {string} channelId 
         * @param {string} id 
         * @param {string} orgId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteCustomHandler(channelId: string, id: string, orgId: string, options?: any): AxiosPromise<void> {
            return localVarFp.deleteCustomHandler(channelId, id, orgId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Delete organization custom handler
         * @param {string} id 
         * @param {string} orgId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteOrganizationCustomHandler(id: string, orgId: string, options?: any): AxiosPromise<void> {
            return localVarFp.deleteOrganizationCustomHandler(id, orgId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get custom handler
         * @param {string} channelId 
         * @param {string} id 
         * @param {string} orgId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getCustomHandler(channelId: string, id: string, orgId: string, options?: any): AxiosPromise<CustomHandler> {
            return localVarFp.getCustomHandler(channelId, id, orgId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get organization custom handler
         * @param {string} id 
         * @param {string} orgId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getOrganizationCustomHandler(id: string, orgId: string, options?: any): AxiosPromise<CustomHandler> {
            return localVarFp.getOrganizationCustomHandler(id, orgId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary List custom handlers
         * @param {string} channelId 
         * @param {string} orgId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        listCustomHandlers(channelId: string, orgId: string, options?: any): AxiosPromise<Array<CustomHandler>> {
            return localVarFp.listCustomHandlers(channelId, orgId, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary List organization custom handlers
         * @param {string} orgId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        listOrganizationCustomHandlers(orgId: string, options?: any): AxiosPromise<Array<CustomHandler>> {
            return localVarFp.listOrganizationCustomHandlers(orgId, options).then((request) => request(axios, basePath));
        },
        /**
         * Webhook endpoint for external systems
         * @summary Webhook (organization)
         * @param {OrganizationWebhookTypeEnum} type 
         * @param {string} orgId 
         * @param {SyncContactWebhook} [body] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        organizationWebhook(type: OrganizationWebhookTypeEnum, orgId: string, body?: SyncContactWebhook, options?: any): AxiosPromise<void> {
            return localVarFp.organizationWebhook(type, orgId, body, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Register custom handler
         * @param {string} channelId 
         * @param {string} orgId 
         * @param {CustomHandler} [customHandler] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        registerCustomHandler(channelId: string, orgId: string, customHandler?: CustomHandler, options?: any): AxiosPromise<CustomHandler> {
            return localVarFp.registerCustomHandler(channelId, orgId, customHandler, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Register organization custom handler
         * @param {string} orgId 
         * @param {CustomHandler} [customHandler] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        registerOrganizationCustomHandler(orgId: string, customHandler?: CustomHandler, options?: any): AxiosPromise<CustomHandler> {
            return localVarFp.registerOrganizationCustomHandler(orgId, customHandler, options).then((request) => request(axios, basePath));
        },
        /**
         * Webhook endpoint for external systems
         * @summary Webhook
         * @param {string} channelId 
         * @param {WebhookTypeEnum} type 
         * @param {string} orgId 
         * @param {SyncContactWebhook} [body] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        webhook(channelId: string, type: WebhookTypeEnum, orgId: string, body?: SyncContactWebhook, options?: any): AxiosPromise<void> {
            return localVarFp.webhook(channelId, type, orgId, body, options).then((request) => request(axios, basePath));
        },
    };
};

/**
 * CustomApi - object-oriented interface
 * @export
 * @class CustomApi
 * @extends {BaseAPI}
 */
export class CustomApi extends BaseAPI {
    /**
     * 
     * @summary Delete custom handler
     * @param {string} channelId 
     * @param {string} id 
     * @param {string} orgId 
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CustomApi
     */
    public deleteCustomHandler(channelId: string, id: string, orgId: string, options?: AxiosRequestConfig) {
        return CustomApiFp(this.configuration).deleteCustomHandler(channelId, id, orgId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Delete organization custom handler
     * @param {string} id 
     * @param {string} orgId 
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CustomApi
     */
    public deleteOrganizationCustomHandler(id: string, orgId: string, options?: AxiosRequestConfig) {
        return CustomApiFp(this.configuration).deleteOrganizationCustomHandler(id, orgId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get custom handler
     * @param {string} channelId 
     * @param {string} id 
     * @param {string} orgId 
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CustomApi
     */
    public getCustomHandler(channelId: string, id: string, orgId: string, options?: AxiosRequestConfig) {
        return CustomApiFp(this.configuration).getCustomHandler(channelId, id, orgId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get organization custom handler
     * @param {string} id 
     * @param {string} orgId 
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CustomApi
     */
    public getOrganizationCustomHandler(id: string, orgId: string, options?: AxiosRequestConfig) {
        return CustomApiFp(this.configuration).getOrganizationCustomHandler(id, orgId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary List custom handlers
     * @param {string} channelId 
     * @param {string} orgId 
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CustomApi
     */
    public listCustomHandlers(channelId: string, orgId: string, options?: AxiosRequestConfig) {
        return CustomApiFp(this.configuration).listCustomHandlers(channelId, orgId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary List organization custom handlers
     * @param {string} orgId 
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CustomApi
     */
    public listOrganizationCustomHandlers(orgId: string, options?: AxiosRequestConfig) {
        return CustomApiFp(this.configuration).listOrganizationCustomHandlers(orgId, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * Webhook endpoint for external systems
     * @summary Webhook (organization)
     * @param {OrganizationWebhookTypeEnum} type 
     * @param {string} orgId 
     * @param {SyncContactWebhook} [body] 
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CustomApi
     */
    public organizationWebhook(type: OrganizationWebhookTypeEnum, orgId: string, body?: SyncContactWebhook, options?: AxiosRequestConfig) {
        return CustomApiFp(this.configuration).organizationWebhook(type, orgId, body, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Register custom handler
     * @param {string} channelId 
     * @param {string} orgId 
     * @param {CustomHandler} [customHandler] 
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CustomApi
     */
    public registerCustomHandler(channelId: string, orgId: string, customHandler?: CustomHandler, options?: AxiosRequestConfig) {
        return CustomApiFp(this.configuration).registerCustomHandler(channelId, orgId, customHandler, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Register organization custom handler
     * @param {string} orgId 
     * @param {CustomHandler} [customHandler] 
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CustomApi
     */
    public registerOrganizationCustomHandler(orgId: string, customHandler?: CustomHandler, options?: AxiosRequestConfig) {
        return CustomApiFp(this.configuration).registerOrganizationCustomHandler(orgId, customHandler, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * Webhook endpoint for external systems
     * @summary Webhook
     * @param {string} channelId 
     * @param {WebhookTypeEnum} type 
     * @param {string} orgId 
     * @param {SyncContactWebhook} [body] 
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof CustomApi
     */
    public webhook(channelId: string, type: WebhookTypeEnum, orgId: string, body?: SyncContactWebhook, options?: AxiosRequestConfig) {
        return CustomApiFp(this.configuration).webhook(channelId, type, orgId, body, options).then((request) => request(this.axios, this.basePath));
    }
}

/**
 * @export
 */
export const OrganizationWebhookTypeEnum = {
    SyncContact: 'sync_contact'
} as const;
export type OrganizationWebhookTypeEnum = typeof OrganizationWebhookTypeEnum[keyof typeof OrganizationWebhookTypeEnum];
/**
 * @export
 */
export const WebhookTypeEnum = {
    SyncContact: 'sync_contact'
} as const;
export type WebhookTypeEnum = typeof WebhookTypeEnum[keyof typeof WebhookTypeEnum];


/**
 * DnApi - axios parameter creator
 * @export
 */
export const DnApiAxiosParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 
         * @summary Create DN configuration
         * @param {string} oid Organization ID
         * @param {CreateDNConfigRequest} [createDNConfigRequest] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        createDNConfiguration: async (oid: string, createDNConfigRequest?: CreateDNConfigRequest, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'oid' is not null or undefined
            assertParamExists('createDNConfiguration', 'oid', oid)
            const localVarPath = `/integrations/dn/organizations/{oid}/configurations`
                .replace(`{${"oid"}}`, encodeURIComponent(String(oid)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication Authorization required
            // http bearer authentication required
            await setBearerAuthToObject(localVarHeaderParameter, configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(createDNConfigRequest, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Delete DN configuration
         * @param {string} oid Organization ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteDNConfiguration: async (oid: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'oid' is not null or undefined
            assertParamExists('deleteDNConfiguration', 'oid', oid)
            const localVarPath = `/integrations/dn/organizations/{oid}/configurations`
                .replace(`{${"oid"}}`, encodeURIComponent(String(oid)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'DELETE', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication Authorization required
            // http bearer authentication required
            await setBearerAuthToObject(localVarHeaderParameter, configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get DN configuration
         * @param {string} oid Organization ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getDNConfiguration: async (oid: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'oid' is not null or undefined
            assertParamExists('getDNConfiguration', 'oid', oid)
            const localVarPath = `/integrations/dn/organizations/{oid}/configurations`
                .replace(`{${"oid"}}`, encodeURIComponent(String(oid)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication Authorization required
            // http bearer authentication required
            await setBearerAuthToObject(localVarHeaderParameter, configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Sync DN contact
         * @param {SyncContactRequest} [syncContactRequest] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        syncDNContact: async (syncContactRequest?: SyncContactRequest, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/integrations/dn/sync`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication Authorization required
            // http bearer authentication required
            await setBearerAuthToObject(localVarHeaderParameter, configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(syncContactRequest, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * DnApi - functional programming interface
 * @export
 */
export const DnApiFp = function(configuration?: Configuration) {
    const localVarAxiosParamCreator = DnApiAxiosParamCreator(configuration)
    return {
        /**
         * 
         * @summary Create DN configuration
         * @param {string} oid Organization ID
         * @param {CreateDNConfigRequest} [createDNConfigRequest] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async createDNConfiguration(oid: string, createDNConfigRequest?: CreateDNConfigRequest, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DNConfiguration>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.createDNConfiguration(oid, createDNConfigRequest, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Delete DN configuration
         * @param {string} oid Organization ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async deleteDNConfiguration(oid: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<void>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.deleteDNConfiguration(oid, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get DN configuration
         * @param {string} oid Organization ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async getDNConfiguration(oid: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DNConfiguration>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.getDNConfiguration(oid, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Sync DN contact
         * @param {SyncContactRequest} [syncContactRequest] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async syncDNContact(syncContactRequest?: SyncContactRequest, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<SyncContactResponse>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.syncDNContact(syncContactRequest, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
    }
};

/**
 * DnApi - factory interface
 * @export
 */
export const DnApiFactory = function (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) {
    const localVarFp = DnApiFp(configuration)
    return {
        /**
         * 
         * @summary Create DN configuration
         * @param {string} oid Organization ID
         * @param {CreateDNConfigRequest} [createDNConfigRequest] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        createDNConfiguration(oid: string, createDNConfigRequest?: CreateDNConfigRequest, options?: any): AxiosPromise<DNConfiguration> {
            return localVarFp.createDNConfiguration(oid, createDNConfigRequest, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Delete DN configuration
         * @param {string} oid Organization ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        deleteDNConfiguration(oid: string, options?: any): AxiosPromise<void> {
            return localVarFp.deleteDNConfiguration(oid, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get DN configuration
         * @param {string} oid Organization ID
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getDNConfiguration(oid: string, options?: any): AxiosPromise<DNConfiguration> {
            return localVarFp.getDNConfiguration(oid, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Sync DN contact
         * @param {SyncContactRequest} [syncContactRequest] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        syncDNContact(syncContactRequest?: SyncContactRequest, options?: any): AxiosPromise<SyncContactResponse> {
            return localVarFp.syncDNContact(syncContactRequest, options).then((request) => request(axios, basePath));
        },
    };
};

/**
 * DnApi - object-oriented interface
 * @export
 * @class DnApi
 * @extends {BaseAPI}
 */
export class DnApi extends BaseAPI {
    /**
     * 
     * @summary Create DN configuration
     * @param {string} oid Organization ID
     * @param {CreateDNConfigRequest} [createDNConfigRequest] 
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DnApi
     */
    public createDNConfiguration(oid: string, createDNConfigRequest?: CreateDNConfigRequest, options?: AxiosRequestConfig) {
        return DnApiFp(this.configuration).createDNConfiguration(oid, createDNConfigRequest, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Delete DN configuration
     * @param {string} oid Organization ID
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DnApi
     */
    public deleteDNConfiguration(oid: string, options?: AxiosRequestConfig) {
        return DnApiFp(this.configuration).deleteDNConfiguration(oid, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get DN configuration
     * @param {string} oid Organization ID
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DnApi
     */
    public getDNConfiguration(oid: string, options?: AxiosRequestConfig) {
        return DnApiFp(this.configuration).getDNConfiguration(oid, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Sync DN contact
     * @param {SyncContactRequest} [syncContactRequest] 
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof DnApi
     */
    public syncDNContact(syncContactRequest?: SyncContactRequest, options?: AxiosRequestConfig) {
        return DnApiFp(this.configuration).syncDNContact(syncContactRequest, options).then((request) => request(this.axios, this.basePath));
    }
}



/**
 * GiganetzApi - axios parameter creator
 * @export
 */
export const GiganetzApiAxiosParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 
         * @summary Get giganetz address by id
         * @param {string} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addressById: async (id: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'id' is not null or undefined
            assertParamExists('addressById', 'id', id)
            const localVarPath = `/integrations/giganetz/address-investment`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication Authorization required
            // http bearer authentication required
            await setBearerAuthToObject(localVarHeaderParameter, configuration)

            if (id !== undefined) {
                localVarQueryParameter['id'] = id;
            }


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Giganetz address investments
         * @param {DynamicAddressesListRequest} [dynamicAddressesListRequest] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        dynamicAddressesList: async (dynamicAddressesListRequest?: DynamicAddressesListRequest, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/integrations/giganetz/address-investments`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication Authorization required
            // http bearer authentication required
            await setBearerAuthToObject(localVarHeaderParameter, configuration)


    
            localVarHeaderParameter['Content-Type'] = 'application/json';

            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};
            localVarRequestOptions.data = serializeDataIfNeeded(dynamicAddressesListRequest, localVarRequestOptions, configuration)

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * 
         * @summary Get giganetz address by form data
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAddressByFormData: async (options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/integrations/giganetz/address-investment`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication Authorization required
            // http bearer authentication required
            await setBearerAuthToObject(localVarHeaderParameter, configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
        /**
         * use the `id` field in the form to determine which address it is.
         * @summary Add signature to address
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        postIntegrationsGiganetzAddSignature: async (options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            const localVarPath = `/integrations/giganetz/add-signature`;
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'POST', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication Authorization required
            // http bearer authentication required
            await setBearerAuthToObject(localVarHeaderParameter, configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * GiganetzApi - functional programming interface
 * @export
 */
export const GiganetzApiFp = function(configuration?: Configuration) {
    const localVarAxiosParamCreator = GiganetzApiAxiosParamCreator(configuration)
    return {
        /**
         * 
         * @summary Get giganetz address by id
         * @param {string} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async addressById(id: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<AddressById200Response>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.addressById(id, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Giganetz address investments
         * @param {DynamicAddressesListRequest} [dynamicAddressesListRequest] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async dynamicAddressesList(dynamicAddressesListRequest?: DynamicAddressesListRequest, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<DynamicAddressesList200Response>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.dynamicAddressesList(dynamicAddressesListRequest, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * 
         * @summary Get giganetz address by form data
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async getAddressByFormData(options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<GetAddressByFormData200Response>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.getAddressByFormData(options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
        /**
         * use the `id` field in the form to determine which address it is.
         * @summary Add signature to address
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async postIntegrationsGiganetzAddSignature(options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<PostIntegrationsGiganetzAddSignature200Response>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.postIntegrationsGiganetzAddSignature(options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
    }
};

/**
 * GiganetzApi - factory interface
 * @export
 */
export const GiganetzApiFactory = function (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) {
    const localVarFp = GiganetzApiFp(configuration)
    return {
        /**
         * 
         * @summary Get giganetz address by id
         * @param {string} id 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        addressById(id: string, options?: any): AxiosPromise<AddressById200Response> {
            return localVarFp.addressById(id, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Giganetz address investments
         * @param {DynamicAddressesListRequest} [dynamicAddressesListRequest] 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        dynamicAddressesList(dynamicAddressesListRequest?: DynamicAddressesListRequest, options?: any): AxiosPromise<DynamicAddressesList200Response> {
            return localVarFp.dynamicAddressesList(dynamicAddressesListRequest, options).then((request) => request(axios, basePath));
        },
        /**
         * 
         * @summary Get giganetz address by form data
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAddressByFormData(options?: any): AxiosPromise<GetAddressByFormData200Response> {
            return localVarFp.getAddressByFormData(options).then((request) => request(axios, basePath));
        },
        /**
         * use the `id` field in the form to determine which address it is.
         * @summary Add signature to address
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        postIntegrationsGiganetzAddSignature(options?: any): AxiosPromise<PostIntegrationsGiganetzAddSignature200Response> {
            return localVarFp.postIntegrationsGiganetzAddSignature(options).then((request) => request(axios, basePath));
        },
    };
};

/**
 * GiganetzApi - object-oriented interface
 * @export
 * @class GiganetzApi
 * @extends {BaseAPI}
 */
export class GiganetzApi extends BaseAPI {
    /**
     * 
     * @summary Get giganetz address by id
     * @param {string} id 
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof GiganetzApi
     */
    public addressById(id: string, options?: AxiosRequestConfig) {
        return GiganetzApiFp(this.configuration).addressById(id, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Giganetz address investments
     * @param {DynamicAddressesListRequest} [dynamicAddressesListRequest] 
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof GiganetzApi
     */
    public dynamicAddressesList(dynamicAddressesListRequest?: DynamicAddressesListRequest, options?: AxiosRequestConfig) {
        return GiganetzApiFp(this.configuration).dynamicAddressesList(dynamicAddressesListRequest, options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * 
     * @summary Get giganetz address by form data
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof GiganetzApi
     */
    public getAddressByFormData(options?: AxiosRequestConfig) {
        return GiganetzApiFp(this.configuration).getAddressByFormData(options).then((request) => request(this.axios, this.basePath));
    }

    /**
     * use the `id` field in the form to determine which address it is.
     * @summary Add signature to address
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof GiganetzApi
     */
    public postIntegrationsGiganetzAddSignature(options?: AxiosRequestConfig) {
        return GiganetzApiFp(this.configuration).postIntegrationsGiganetzAddSignature(options).then((request) => request(this.axios, this.basePath));
    }
}



/**
 * SettingsApi - axios parameter creator
 * @export
 */
export const SettingsApiAxiosParamCreator = function (configuration?: Configuration) {
    return {
        /**
         * 
         * @summary Get available actions for organization
         * @param {string} organizationId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAvailableActions: async (organizationId: string, options: AxiosRequestConfig = {}): Promise<RequestArgs> => {
            // verify required parameter 'organizationId' is not null or undefined
            assertParamExists('getAvailableActions', 'organizationId', organizationId)
            const localVarPath = `/settings/organizations/{organizationId}/available-actions`
                .replace(`{${"organizationId"}}`, encodeURIComponent(String(organizationId)));
            // use dummy base URL string because the URL constructor only accepts absolute URLs.
            const localVarUrlObj = new URL(localVarPath, DUMMY_BASE_URL);
            let baseOptions;
            if (configuration) {
                baseOptions = configuration.baseOptions;
            }

            const localVarRequestOptions = { method: 'GET', ...baseOptions, ...options};
            const localVarHeaderParameter = {} as any;
            const localVarQueryParameter = {} as any;

            // authentication Authorization required
            // http bearer authentication required
            await setBearerAuthToObject(localVarHeaderParameter, configuration)


    
            setSearchParams(localVarUrlObj, localVarQueryParameter);
            let headersFromBaseOptions = baseOptions && baseOptions.headers ? baseOptions.headers : {};
            localVarRequestOptions.headers = {...localVarHeaderParameter, ...headersFromBaseOptions, ...options.headers};

            return {
                url: toPathString(localVarUrlObj),
                options: localVarRequestOptions,
            };
        },
    }
};

/**
 * SettingsApi - functional programming interface
 * @export
 */
export const SettingsApiFp = function(configuration?: Configuration) {
    const localVarAxiosParamCreator = SettingsApiAxiosParamCreator(configuration)
    return {
        /**
         * 
         * @summary Get available actions for organization
         * @param {string} organizationId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        async getAvailableActions(organizationId: string, options?: AxiosRequestConfig): Promise<(axios?: AxiosInstance, basePath?: string) => AxiosPromise<AvailableActionsResponse>> {
            const localVarAxiosArgs = await localVarAxiosParamCreator.getAvailableActions(organizationId, options);
            return createRequestFunction(localVarAxiosArgs, globalAxios, BASE_PATH, configuration);
        },
    }
};

/**
 * SettingsApi - factory interface
 * @export
 */
export const SettingsApiFactory = function (configuration?: Configuration, basePath?: string, axios?: AxiosInstance) {
    const localVarFp = SettingsApiFp(configuration)
    return {
        /**
         * 
         * @summary Get available actions for organization
         * @param {string} organizationId 
         * @param {*} [options] Override http request option.
         * @throws {RequiredError}
         */
        getAvailableActions(organizationId: string, options?: any): AxiosPromise<AvailableActionsResponse> {
            return localVarFp.getAvailableActions(organizationId, options).then((request) => request(axios, basePath));
        },
    };
};

/**
 * SettingsApi - object-oriented interface
 * @export
 * @class SettingsApi
 * @extends {BaseAPI}
 */
export class SettingsApi extends BaseAPI {
    /**
     * 
     * @summary Get available actions for organization
     * @param {string} organizationId 
     * @param {*} [options] Override http request option.
     * @throws {RequiredError}
     * @memberof SettingsApi
     */
    public getAvailableActions(organizationId: string, options?: AxiosRequestConfig) {
        return SettingsApiFp(this.configuration).getAvailableActions(organizationId, options).then((request) => request(this.axios, this.basePath));
    }
}



